Index: trunk/ab5.0/abdev/abdev/ProjectControl.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/ProjectControl.cpp	(revision 705)
+++ trunk/ab5.0/abdev/abdev/ProjectControl.cpp	(revision 828)
@@ -42,5 +42,5 @@
 LRESULT CALLBACK TabProc(HWND hwnd,UINT message,WPARAM wParam,LPARAM lParam){
 	extern HANDLE hHeap;
-	extern LPSTR DefFileFilter;
+	extern const LPCSTR DefFileFilter;
 	int i,i2,WndNum;
 	char str[MAX_PATH],temporary[MAX_PATH];
@@ -281,5 +281,8 @@
 					for(i=0;i<projectInfo.NumberOfMenu;i++){
 						if(projectInfo.pMenuInfo[i].hTreeItem==hTreeItem){
-							if(!DialogBoxParam(hResInst,MAKEINTRESOURCE(IDD_INPUTID),hOwner,(DLGPROC)DlgProject_MenuID_Input,(long)projectInfo.pMenuInfo[i].IdName)) break;
+							if (!ActiveBasic::Resource::DialogBoxAlt(hResInst,IDD_INPUTID, hOwner, DlgProject_MenuID_Input, reinterpret_cast<LPARAM>(projectInfo.pMenuInfo[i].IdName)))
+							{
+								break;
+							}
 
 							//重複チェック
@@ -466,12 +469,12 @@
 			//イメージリスト読み込み、設定
 			hProcedureTreeViewImageList=ImageList_Create(16,16,ILC_COLOR24|ILC_MASK,8,0);
-			ImageList_AddIcon(hProcedureTreeViewImageList,LoadIcon(hResInst,MAKEINTRESOURCE(IDI_FOLDER_CLOSE)));
-			ImageList_AddIcon(hProcedureTreeViewImageList,LoadIcon(hResInst,MAKEINTRESOURCE(IDI_FOLDER_OPEN)));
-			ImageList_AddIcon(hProcedureTreeViewImageList,LoadIcon(hResInst,MAKEINTRESOURCE(IDI_PROCEDURE)));
-			ImageList_AddIcon(hProcedureTreeViewImageList,LoadIcon(hResInst,MAKEINTRESOURCE(IDI_PROGRAM_FOLDER)));
-			ImageList_AddIcon(hProcedureTreeViewImageList,LoadIcon(hResInst,MAKEINTRESOURCE(IDI_MEMBER_PUBLIC_VARIABLE)));
-			ImageList_AddIcon(hProcedureTreeViewImageList,LoadIcon(hResInst,MAKEINTRESOURCE(IDI_MEMBER_PUBLIC_FUNCTION)));
-			ImageList_AddIcon(hProcedureTreeViewImageList,LoadIcon(hResInst,MAKEINTRESOURCE(IDI_MEMBER_PRIVATE_VARIABLE)));
-			ImageList_AddIcon(hProcedureTreeViewImageList,LoadIcon(hResInst,MAKEINTRESOURCE(IDI_MEMBER_PRIVATE_FUNCTION)));
+			ImageList_AddIcon(hProcedureTreeViewImageList, ActiveBasic::Resource::LoadIconAlt(hResInst, IDI_FOLDER_CLOSE));
+			ImageList_AddIcon(hProcedureTreeViewImageList, ActiveBasic::Resource::LoadIconAlt(hResInst, IDI_FOLDER_OPEN));
+			ImageList_AddIcon(hProcedureTreeViewImageList, ActiveBasic::Resource::LoadIconAlt(hResInst, IDI_PROCEDURE));
+			ImageList_AddIcon(hProcedureTreeViewImageList, ActiveBasic::Resource::LoadIconAlt(hResInst, IDI_PROGRAM_FOLDER));
+			ImageList_AddIcon(hProcedureTreeViewImageList, ActiveBasic::Resource::LoadIconAlt(hResInst, IDI_MEMBER_PUBLIC_VARIABLE));
+			ImageList_AddIcon(hProcedureTreeViewImageList, ActiveBasic::Resource::LoadIconAlt(hResInst, IDI_MEMBER_PUBLIC_FUNCTION));
+			ImageList_AddIcon(hProcedureTreeViewImageList, ActiveBasic::Resource::LoadIconAlt(hResInst, IDI_MEMBER_PRIVATE_VARIABLE));
+			ImageList_AddIcon(hProcedureTreeViewImageList, ActiveBasic::Resource::LoadIconAlt(hResInst, IDI_MEMBER_PRIVATE_FUNCTION));
 			TreeView_SetImageList(hProcedureTreeView,hProcedureTreeViewImageList,TVSIL_NORMAL);
 
@@ -485,11 +488,11 @@
 			//イメージリスト読み込み、設定
 			hMaterialTreeViewImageList=ImageList_Create(16,16,ILC_COLOR24|ILC_MASK,3,0);
-			ImageList_AddIcon(hMaterialTreeViewImageList,LoadIcon(hResInst,MAKEINTRESOURCE(IDI_FOLDER_CLOSE)));
-			ImageList_AddIcon(hMaterialTreeViewImageList,LoadIcon(hResInst,MAKEINTRESOURCE(IDI_FOLDER_OPEN)));
-			ImageList_AddIcon(hMaterialTreeViewImageList,LoadIcon(hResInst,MAKEINTRESOURCE(IDI_WINDOW)));
-			ImageList_AddIcon(hMaterialTreeViewImageList,LoadIcon(hResInst,MAKEINTRESOURCE(IDI_MENU)));
-			ImageList_AddIcon(hMaterialTreeViewImageList,LoadIcon(hResInst,MAKEINTRESOURCE(IDI_FILE_ICON)));
-			ImageList_AddIcon(hMaterialTreeViewImageList,LoadIcon(hResInst,MAKEINTRESOURCE(IDI_FILE_BMP)));
-			ImageList_AddIcon(hMaterialTreeViewImageList,LoadIcon(hResInst,MAKEINTRESOURCE(IDI_FILE_CURSOR)));
+			ImageList_AddIcon(hMaterialTreeViewImageList, ActiveBasic::Resource::LoadIconAlt(hResInst, IDI_FOLDER_CLOSE));
+			ImageList_AddIcon(hMaterialTreeViewImageList, ActiveBasic::Resource::LoadIconAlt(hResInst, IDI_FOLDER_OPEN));
+			ImageList_AddIcon(hMaterialTreeViewImageList, ActiveBasic::Resource::LoadIconAlt(hResInst, IDI_WINDOW));
+			ImageList_AddIcon(hMaterialTreeViewImageList, ActiveBasic::Resource::LoadIconAlt(hResInst, IDI_MENU));
+			ImageList_AddIcon(hMaterialTreeViewImageList, ActiveBasic::Resource::LoadIconAlt(hResInst, IDI_FILE_ICON));
+			ImageList_AddIcon(hMaterialTreeViewImageList, ActiveBasic::Resource::LoadIconAlt(hResInst, IDI_FILE_BMP));
+			ImageList_AddIcon(hMaterialTreeViewImageList, ActiveBasic::Resource::LoadIconAlt(hResInst, IDI_FILE_CURSOR));
 			TreeView_SetImageList(hMaterialTreeView,hMaterialTreeViewImageList,TVSIL_NORMAL);
 
